Skip to main content
GET
/
v0
/
updates
/
{update_id}
/v0/updates/{update_id}
curl --request GET \
  --url https://example.com/api/scan/v0/updates/{update_id}
{
  "update_id": "<string>",
  "migration_id": 123,
  "workflow_id": "<string>",
  "record_time": "<string>",
  "synchronizer_id": "<string>",
  "effective_at": "<string>",
  "offset": "<string>",
  "root_event_ids": [
    "<string>"
  ],
  "events_by_id": {},
  "external_transaction_hash": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

update_id
string
required

Query Parameters

lossless
boolean

Whether contract payload should be encoded into json using a lossless, but much harder to process, encoding. This is mostly used for backend calls, and is not recommended for external users. Optional and defaults to false.

Response

ok

An individual item in the update history. May be a transaction or a contract reassignment.

update_id
string
required

The id of the update.

migration_id
integer<int64>
required

The migration id of the synchronizer.

workflow_id
string
required

This transaction's Daml workflow ID; a workflow ID can be associated with multiple transactions. If empty, no workflow ID was set.

record_time
string
required

The time at which the transaction was sequenced, with microsecond resolution, using ISO-8601 representation.

synchronizer_id
string
required

The id of the synchronizer through which this transaction was sequenced.

effective_at
string
required

Ledger effective time, using ISO-8601 representation. This is the time returned by getTime for all Daml executed as part of this transaction, both by the submitting participant and all confirming participants.

offset
string
required

The absolute offset. Note that this field may not be the same across nodes, and therefore should not be compared between SVs. However, within a single SV's scan, it is monotonically, lexicographically increasing.

root_event_ids
string[]
required

Roots of the transaction tree. These are guaranteed to occur as keys of the events_by_id object.

events_by_id
object
required

Changes to the ledger that were caused by this transaction, keyed by ID. Values are nodes of the transaction tree. Within a transaction, IDs may be referenced by root_event_ids or child_event_ids in ExercisedEvent herein.

external_transaction_hash
string

For transaction externally signed, contains the external transaction hash signed by the external party. Can be used to correlate an external submission with a committed transaction.